curl --request POST \
--url https://services.leadconnectorhq.com/invoices/text2pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data @- <<EOF
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"currency": "USD",
"items": [
{
"name": "ABC Product",
"currency": "USD",
"amount": 999,
"qty": 1,
"description": "ABC Corp.",
"productId": "6578278e879ad2646715ba9c",
"priceId": "6578278e879ad2646715ba9c",
"taxes": [
{
"_id": "<string>",
"name": "<string>",
"rate": 123,
"calculation": "exclusive",
"description": "<string>",
"taxId": "<string>"
}
],
"automaticTaxCategoryId": "6578278e879ad2646715ba9c",
"isSetupFeeItem": true,
"type": "one_time",
"taxInclusive": true
}
],
"contactDetails": {
"id": "6578278e879ad2646715ba9c",
"name": "Alex",
"phoneNo": "+1234567890",
"email": "alex@example.com",
"additionalEmails": [
{
"email": "alex@example.com"
}
],
"companyName": "ABC Corp.",
"address": {
"addressLine1": "9931 Beechwood",
"addressLine2": "Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "US",
"postalCode": "559-6993"
},
"customFields": [
"<string>"
]
},
"issueDate": "2023-01-01",
"sentTo": {
"email": [
"alex@example.com"
],
"emailCc": [
"alex@example.com"
],
"emailBcc": [
"alex@example.com"
],
"phoneNo": [
"+1-214-559-6993"
]
},
"liveMode": true,
"action": "draft",
"userId": "<string>",
"termsNotes": "<p>This is a default terms.</p>",
"title": "INVOICE",
"invoiceNumber": "1001",
"dueDate": "2023-01-14",
"automaticTaxesEnabled": true,
"paymentSchedule": {
"type": "percentage",
"schedules": [
"<string>"
]
},
"lateFeesConfiguration": {
"enable": true,
"value": 10,
"type": "fixed",
"frequency": {
"intervalCount": 10,
"interval": "day"
},
"grace": {
"intervalCount": 10,
"interval": "day"
},
"maxLateFees": {
"type": "fixed",
"value": "10"
}
},
"tipsConfiguration": {
"tipsPercentage": [
5,
10,
15
],
"tipsEnabled": true
},
"invoiceNumberPrefix": "INV-",
"paymentMethods": {
"stripe": {
"enableBankDebitOnly": false
}
},
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"miscellaneousCharges": {
"charges": [
"<array>"
],
"collectedMiscellaneousCharges": 10,
"paidCharges": [
{
"name": "Processing Fee",
"charge": 10,
"amount": 10,
"_id": "673d01d7d547648a8dab6211"
}
]
},
"id": "<string>",
"includeTermsNote": true,
"discount": {
"type": "percentage",
"value": 10,
"validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"
},
"businessDetails": {
"logoUrl": "https://example.com/logo.png",
"name": "ABC Corp.",
"phoneNo": "+1-214-559-6993",
"address": "9931 Beechwood, TX",
"website": "wwww.example.com",
"customValues": [
"<string>"
]
}
}
EOF{
"invoice": {
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {}
},
"invoiceUrl": "<string>"
}API to create or update a text2pay invoice
curl --request POST \
--url https://services.leadconnectorhq.com/invoices/text2pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data @- <<EOF
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"currency": "USD",
"items": [
{
"name": "ABC Product",
"currency": "USD",
"amount": 999,
"qty": 1,
"description": "ABC Corp.",
"productId": "6578278e879ad2646715ba9c",
"priceId": "6578278e879ad2646715ba9c",
"taxes": [
{
"_id": "<string>",
"name": "<string>",
"rate": 123,
"calculation": "exclusive",
"description": "<string>",
"taxId": "<string>"
}
],
"automaticTaxCategoryId": "6578278e879ad2646715ba9c",
"isSetupFeeItem": true,
"type": "one_time",
"taxInclusive": true
}
],
"contactDetails": {
"id": "6578278e879ad2646715ba9c",
"name": "Alex",
"phoneNo": "+1234567890",
"email": "alex@example.com",
"additionalEmails": [
{
"email": "alex@example.com"
}
],
"companyName": "ABC Corp.",
"address": {
"addressLine1": "9931 Beechwood",
"addressLine2": "Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "US",
"postalCode": "559-6993"
},
"customFields": [
"<string>"
]
},
"issueDate": "2023-01-01",
"sentTo": {
"email": [
"alex@example.com"
],
"emailCc": [
"alex@example.com"
],
"emailBcc": [
"alex@example.com"
],
"phoneNo": [
"+1-214-559-6993"
]
},
"liveMode": true,
"action": "draft",
"userId": "<string>",
"termsNotes": "<p>This is a default terms.</p>",
"title": "INVOICE",
"invoiceNumber": "1001",
"dueDate": "2023-01-14",
"automaticTaxesEnabled": true,
"paymentSchedule": {
"type": "percentage",
"schedules": [
"<string>"
]
},
"lateFeesConfiguration": {
"enable": true,
"value": 10,
"type": "fixed",
"frequency": {
"intervalCount": 10,
"interval": "day"
},
"grace": {
"intervalCount": 10,
"interval": "day"
},
"maxLateFees": {
"type": "fixed",
"value": "10"
}
},
"tipsConfiguration": {
"tipsPercentage": [
5,
10,
15
],
"tipsEnabled": true
},
"invoiceNumberPrefix": "INV-",
"paymentMethods": {
"stripe": {
"enableBankDebitOnly": false
}
},
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"miscellaneousCharges": {
"charges": [
"<array>"
],
"collectedMiscellaneousCharges": 10,
"paidCharges": [
{
"name": "Processing Fee",
"charge": 10,
"amount": 10,
"_id": "673d01d7d547648a8dab6211"
}
]
},
"id": "<string>",
"includeTermsNote": true,
"discount": {
"type": "percentage",
"value": 10,
"validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"
},
"businessDetails": {
"logoUrl": "https://example.com/logo.png",
"name": "ABC Corp.",
"phoneNo": "+1-214-559-6993",
"address": "9931 Beechwood, TX",
"website": "wwww.example.com",
"customValues": [
"<string>"
]
}
}
EOF{
"invoice": {
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {}
},
"invoiceUrl": "<string>"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 location Id / company Id based on altType
"6578278e879ad2646715ba9c"
Alt Type
location "location"
Invoice Name
"New Invoice"
Currency code
"USD"
An array of items for the invoice.
Show child attributes
Show child attributes
Issue date in YYYY-MM-DD format
"2023-01-01"
Show child attributes
create invoice in draft mode or send mode
draft, send "draft"
id of user generating invoice
Terms notes, Also supports HTML markups
"<p>This is a default terms.</p>"
Title for the invoice
"INVOICE"
Invoice Number
"1001"
Due date in YYYY-MM-DD format
"2023-01-14"
Automatic taxes enabled for the Invoice
true
Show child attributes
Show child attributes
Show child attributes
prefix for invoice number
"INV-"
Show child attributes
attachments for the invoice
Show child attributes
Show child attributes
id of invoice to update. If skipped, a new invoice will be created
include terms & notes with receipts
true
Show child attributes
Show child attributes
Was this page helpful?